<?xml version="1.0" encoding="UTF-8"?>

<!DOCTYPE hibernate-mapping PUBLIC 
"-//Hibernate/Hibernate Mapping DTD 3.0//EN"
"http://www.hibernate.org/dtd/hibernate-mapping-3.0.dtd">
<hibernate-mapping package="com.lerx.entities">

	<class name="AlbumArticleContent" table="album_article_content" dynamic-update="true">
		<id name="id" column="id">
			<generator class="native" />
		</id>
		
		<property name="subject" />
		<property name="subjectShort" />
		<property name="editTime" />
		<property name="cutOffTime" />
		<property name="secondTitle" />
		<property name="toppic" />
		<property name="extra" />
		<property name="author" />
		<property name="authorDept" />
		<property name="email" />
		<property name="homepage" />
		<property name="synopsis" />
		<property name="mediaUrl" />
		<property name="content"  type="text"  />
		<property name="titleImg" />
		<property name="thumbnail" />
		<property name="titleImgTxt" />
		<property name="jumpUrl" />

		<many-to-one name="art" column="aid" lazy="false" cascade="none" fetch="select" 
			outer-join="true" class="AlbumArticle" />
		<many-to-one name="editor" column="editorID" lazy="false" cascade="none" fetch="select" 
			outer-join="true" class="com.lerx.entities.User" />		
        
	</class>
</hibernate-mapping>
